File: coqdoc.css

package info (click to toggle)
rocq-stdlib 9.0.0-3
  • links: PTS, VCS
  • area: main
  • in suites: experimental
  • size: 11,828 kB
  • sloc: python: 2,928; sh: 444; makefile: 319; javascript: 24; ml: 2
file content (135 lines) | stat: -rw-r--r-- 6,131 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
/************************************************************************/
/*         *      The Rocq Prover / The Rocq Development Team           */
/*  v      *         Copyright INRIA, CNRS and contributors             */
/* <O___,, * (see version control and CREDITS file for authors & dates) */
/*   \VV/  **************************************************************/
/*    //   *    This file is distributed under the terms of the         */
/*         *     GNU Lesser General Public License Version 2.1          */
/*         *     (see LICENSE file for the text of the license)         */
/************************************************************************/
/* Taken from CoqDoc's default stylesheet */


.id[title="constructor"],.coqdoc-constructor {
    color: rgb(225 0 0);
}

.id[title="var"],.coqdoc-var,
.id[title="variable"],.coqdoc-variable {
    color: rgb(210 46 0);
}

.id[title="definition"],.coqdoc-definition {
    color: #FF540A;
}

.id[title="abbreviation"],.coqdoc-abbreviation {
    color: #0042b9;  font-weight: bold

}

.id[title="lemma"],.coqdoc-lemma {
    color: rgb(255 85 0);
  font-weight: bold
}

.id[title="instance"],.coqdoc-instance {
    color: #003eae;  font-weight: bold

}

.id[title="projection"],.coqdoc-projection {
    color: #0042b9;  font-weight: bold

}

.id[title="method"],.coqdoc-method {
    color: #0d62fb;  font-weight: bold

}

.id[title="inductive"],.coqdoc-inductive {
    color: rgb(0%,0%,80%);
}

.id[title="record"],.coqdoc-record {
    color: rgb(0%,0%,80%);
}

.id[title="class"],.coqdoc-class {
    color: rgb(200 105 8);
}

.id[title="keyword"],.coqdoc-keyword {
 color: #08288d;
 font-weight: bold
}

.coqdoc-tactic {
    font-weight: bold;
}

.smallcaps {
    font-variant: small-caps;
}


:root {
    --refman-custom-primary-blue: #260086;
    --refman-custom-primary-blue-2: #040b92;
    --refman-custom-primary-blue-3: #6e6f82;
    --refman-custom-secondary-orange: #ff540a;
    --refman-custom-secondary-orange-2: #ffe9df;
}

.highlight,
.wy-side-nav-search{
         background: var(--refman-custom-secondary-orange) !important;
 }

.wy-side-nav-search>div.version {
    color: #dedede !important;
 }

 .std-term,
.btn-info:hover, a:hover, a.wy-text-info:hover {
    color: var(--refman-custom-primary-blue-2) !important
}

.wy-menu-vertical header, .wy-menu-vertical p.caption, .rst-content .wy-alert-neutral.admonition-todo a, .rst-content .wy-alert-neutral.admonition a, .rst-content .wy-alert-neutral.attention a, .rst-content .wy-alert-neutral.caution a, .rst-content .wy-alert-neutral.danger a, .rst-content .wy-alert-neutral.error a, .rst-content .wy-alert-neutral.hint a, .rst-content .wy-alert-neutral.important a, .rst-content .wy-alert-neutral.note a, .rst-content .wy-alert-neutral.seealso a, .rst-content .wy-alert-neutral.tip a, .rst-content .wy-alert-neutral.warning a, .wy-alert.wy-alert-neutral a, a, .wy-text-info, .btn-link, .wy-inline-validate.wy-inline-validate-info .wy-input-context, .wy-nav .wy-menu-vertical header, .rst-versions a, .rst-content a code, .rst-content a tt, html.writer-html4 .rst-content dl:not(.docutils)>dt, html.writer-html5 .rst-content dl[class]:not(.option-list):not(.field-list):not(.footnote):not(.glossary):not(.simple)>dt, html.writer-html4 .rst-content dl:not(.docutils)>dt:before, html.writer-html5 .rst-content dl[class]:not(.option-list):not(.field-list):not(.footnote):not(.glossary):not(.simple)>dt:before {
    color: var(--refman-custom-primary-blue) !important
}

.rst-content .note .admonition-title,.rst-content .note .wy-alert-title,.rst-content .seealso .admonition-title,.rst-content .seealso .wy-alert-title,.rst-content .wy-alert-info.admonition-todo .admonition-title,.rst-content .wy-alert-info.admonition-todo .wy-alert-title,.rst-content .wy-alert-info.admonition .admonition-title,.rst-content .wy-alert-info.admonition .wy-alert-title,.rst-content .wy-alert-info.attention .admonition-title,.rst-content .wy-alert-info.attention .wy-alert-title,.rst-content .wy-alert-info.caution .admonition-title,.rst-content .wy-alert-info.caution .wy-alert-title,.rst-content .wy-alert-info.danger .admonition-title,.rst-content .wy-alert-info.danger .wy-alert-title,.rst-content .wy-alert-info.error .admonition-title,.rst-content .wy-alert-info.error .wy-alert-title,.rst-content .wy-alert-info.hint .admonition-title,.rst-content .wy-alert-info.hint .wy-alert-title,.rst-content .wy-alert-info.important .admonition-title,.rst-content .wy-alert-info.important .wy-alert-title,.rst-content .wy-alert-info.tip .admonition-title,.rst-content .wy-alert-info.tip .wy-alert-title,.rst-content .wy-alert-info.warning .admonition-title,.rst-content .wy-alert-info.warning .wy-alert-title,.rst-content .wy-alert.wy-alert-info .admonition-title,.wy-alert.wy-alert-info .rst-content .admonition-title,.wy-alert.wy-alert-info .wy-alert-title {
    background: var(--refman-custom-primary-blue) !important
}

html.writer-html4 .rst-content dl:not(.docutils)>dt,html.writer-html5 .rst-content dl[class]:not(.option-list):not(.field-list):not(.footnote):not(.glossary):not(.simple)>dt {
    background: var(--refman-custom-secondary-orange-2) !important;
    color: var(--refman-custom-primary-blue) !important;
    border-top: 3px solid var(--refman-custom-secondary-orange) !important;
}

.wy-tray-container li.wy-tray-item-info, .btn-info, .wy-menu-vertical a:active, .wy-dropdown-menu>dd>a:hover, .wy-dropdown.wy-dropdown-bubble .wy-dropdown-menu a:hover, .wy-side-nav-search img, .wy-nav .wy-menu-vertical a:hover, .wy-nav-top, .wy-nav-top img {
    background-color: var(--refman-custom-secondary-orange) !important
}

.wy-side-nav-search input[type=text] {
    border-color: var(--refman-custom-primary-blue-2) !important
}

.rst-versions, .wy-nav-side {
    background: #dedede !important;
}

.rst-content .admonition-title a{
    color: var(--refman-custom-secondary-orange-2) !important;
}

.wy-menu-vertical a:hover {
    background-color: #494949 !important;
    color: #dedede !important;
}
.notation .hole, .std-token .pre {
    color: var(--refman-custom-secondary-orange) !important
}